Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - sky

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: sky 2.1.6428_1-1

Git Clone URL: https://aur-dev.archlinux.org/sky.git (read-only)
Package Base: sky
Description: Lync and Skype for Business client on Linux
Upstream URL: http://tel.red
Licenses: custom: Copyright © 2015-2016 TEL.RED LLC
Submitter: telred
Maintainer: telred
Last Packager: telred
Votes: 37
Popularity: 1.217793
First Submitted: 2015-05-13 14:01
Last Updated: 2016-12-20 07:21

Latest Comments

1 2 3 4 5 6 ... Next › Last »

chetwisniewski commented on 2017-01-30 19:40

Removing the qt5-base<5.8.0 works for me.

peterix commented on 2017-01-30 11:25

The package is now entirely broken:
* Wrong curl version required.
* Depends on differently built openssl. Arch openssl does not include symbol versions.
* Depends on qt5 < 5.8.0, which breaks system updates. Qt5 is one of the few dependencies that provides strong binary compatibility guarantees, so this should be unnecessary.
* The bundled custom build of SDL crashes and prevents the application from starting.

peterix commented on 2017-01-10 12:47

Current version didn't start properly because of segmentation fault in the bundled libSDL. I removed the bundled library and replaced it with the system libSDL - now it starts.

telred commented on 2016-11-14 22:01

@jevv,
@jlaunay,
As well as anyone got some problems with sky package at present or in the future.

If your sky issues are still there or something new arise, please spend few seconds writing an email to sky support to linux (at) tel.red, posting a bug report describing your issue with logs attached.

It will be much easier for our QA and developers teams to track the problem and contact requester in case any questions arise, speeding up troubleshooting significantly

jevv commented on 2016-11-12 05:56

Not able to use audio at all (alsa way, no pulse):

Expression 'snd_pcm_hw_params_set_channels( pcm, hwParams, self->numHostChannels )' failed in 'src/../../../portaudio/src/hostapi/alsa/pa_linux_alsa.c', line: 1309
Expression 'PaAlsaStreamComponent_InitialConfigure( &self->capture, inParams, self->primeBuffers, hwParamsCapture, &realSr )' failed in 'src/../../../portaudio/src/hostapi/alsa/pa_linux_alsa.c', line: 1876
Expression 'PaAlsaStream_Configure( stream, inputParameters, outputParameters, sampleRate, framesPerBuffer, &inputLatency, &outputLatency, &hostBufferSizeMode )' failed in 'src/../../../portaudio/src/hostapi/alsa/pa_linux_alsa.c', line: 2000
Expression 'snd_pcm_hw_params_set_channels( pcm, hwParams, self->numHostChannels )' failed in 'src/../../../portaudio/src/hostapi/alsa/pa_linux_alsa.c', line: 1309
Expression 'PaAlsaStreamComponent_InitialConfigure( &self->playback, outParams, self->primeBuffers, hwParamsPlayback, &realSr )' failed in 'src/../../../portaudio/src/hostapi/alsa/pa_linux_alsa.c', line: 1879
Expression 'PaAlsaStream_Configure( stream, inputParameters, outputParameters, sampleRate, framesPerBuffer, &inputLatency, &outputLatency, &hostBufferSizeMode )' failed in 'src/../../../portaudio/src/hostapi/alsa/pa_linux_alsa.c', line: 2000

Using apulse doesn't help solving the issue either.

bburlein commented on 2016-11-04 16:00

@jlaunay, is screensharing and audio working for you as well? both are intermittent for me, i'm using arch gnome3. if so, did you have to do anything to get them working? thanks!

telred commented on 2016-11-02 21:43

@ignite, thanks for report. This problem is fixed in 2.1.6375-3 release

ignite commented on 2016-11-02 20:26

The package is missing sky.sh resulting in an error https://aur.archlinux.org/cgit/aur.git/tree/PKGBUILD?h=sky#n60

telred commented on 2016-11-02 14:22

It could be an openssl version problem, but not sure.
We will fix that issue in our repo.

jlaunay commented on 2016-11-02 14:17

@telred, thanks for the suggestion, no problem with your AppImage, I can connect.
I have no idea which dependency could cause this problem on my box, any idea ?